com.corticon.service.ccserver.exception

## Class CcServerDatabaseValidationException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerDatabaseValidationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CcServerDatabaseValidationLevel2ConfigurationException

      public class CcServerDatabaseValidationException
      extends CcServerException
      implements java.io.Serializable

  `CcServerDatabaseValidationException` is thrown if validation of the Database fails
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerDatabaseValidationException()`
    `CcServerDatabaseValidationException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerDatabaseValidationException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerDatabaseValidationException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerDatabaseValidationException(java.lang.String astrMessage)`
    `CcServerDatabaseValidationException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException()

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException(java.lang.String astrMessage)

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException(java.lang.String astrMessage,
                                                     java.lang.Object aobject)

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException(java.lang.Exception aparentException,
                                                     java.lang.String astrMessage)

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException(java.lang.Exception aparentException,
                                                     java.lang.Object aobject)

    - #### CcServerDatabaseValidationException

          public CcServerDatabaseValidationException(java.lang.Exception aparentException,
                                                     java.lang.String astrMessage,
                                                     java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.